POST
/emailssendEmail
Authentication
This operation does not declare an authentication requirement in the API contract.
Headers
NameTypeDescription
Idempotency-KeystringRequest body (required)
FieldTypeDescription
fromrequiredstringExample: "Acme <hello@example.com>".
torequiredstring (email) | arrayOption 1string (email)One permitted response shape.
Option 2arrayOne permitted response shape.
ccarraybccarrayreply_toarraysubjectrequiredstringhtmlstringtextstringheadersobjecttagsarraynamerequiredstringvaluerequiredstringscheduled_atstring (date-time)attachmentsarrayfilenamerequiredstringcontentstring (byte)pathstring (uri)content_typestringcontent_idstringtemplatestring | objectOption 1stringOne permitted response shape.
Option 2objectOne permitted response shape.
idrequiredstringvariablesobjectRequest examples
bash
curl --request POST 'https://api.au.boundry.dev/emails' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+ -H 'Idempotency-Key: string' \
+ -H 'Content-Type: application/json' \
+ --data '{"from":"Acme <hello@example.com>","to":"string","cc":["string"],"bcc":["string"],"reply_to":["string"],"subject":"string","html":"string","text":"string","tags":[{"name":"string","value":"string"}],"scheduled_at":"string","attachments":[{"filename":"string","content":"string","path":"string","content_type":"string","content_id":"string"}],"template":"string"}'200 response
Accepted resource ID
FieldTypeDescription
idrequiredstringExample: "msg_01...".
application/json
{
"id": "msg_01..."
}400 response
Error
FieldTypeDescription
namerequiredstringmessagerequiredstringerrorsobjectapplication/json
{
"name": "string",
"message": "string"
}403 response
Error
FieldTypeDescription
namerequiredstringmessagerequiredstringerrorsobjectapplication/json
{
"name": "string",
"message": "string"
}422 response
Error
FieldTypeDescription
namerequiredstringmessagerequiredstringerrorsobjectapplication/json
{
"name": "string",
"message": "string"
}